
var pcolortext, pcolorbg, pbordercolor, pbordermode, pborderwidth;
var gMessageBrowser;

function getColorsAndPrefs()
{

  var prefstringfg = "quotecolors.fg.l";
  var prefstringbg = "quotecolors.bg.l";
      
  for( var i=0; i<MAX_LEVELS; i++)
  {
    colors_fg[i] = nsPreferences.copyUnicharPref(prefstringfg + (i+1), colors_fg[i]);
    colors_bg[i] = nsPreferences.copyUnicharPref(prefstringbg + (i+1), colors_bg[i]);
  }

  pcolortext = nsPreferences.getBoolPref("quotecolors.colorText", true);
  pcolorbg = nsPreferences.getBoolPref("quotecolors.colorBackground", true);

  pbordermode = nsPreferences.getIntPref("quotecolors.borderMode", 0);
  pbordercolor = nsPreferences.copyUnicharPref("quotecolors.bordercolor", "#000000");
  var borderwidth = nsPreferences.getIntPref("quotecolors.borderwidth", 1);
  switch (borderwidth)
  { 
    case 0:
      pborderwidth="thin";
      break;
    case 1:
      pborderwidth="medium";
      break;
    case 2:
      pborderwidth="thick";
      break;
   }
}


function colorblockquotes(element,level)
{
if(!element) return;
var children = element.childNodes;
var num = children.length;
if(!num) return;

level++;
if(level>MAX_LEVELS) level=MAX_LEVELS;

  for (var i=0; i < num; i++)
  {

    if(children[i].nodeName.toLowerCase()=="blockquote" && children[i].getAttribute("type")=="cite")
    {
      if(pcolortext)
        children[i].style.color = colors_fg[level-1];
      else
        children[i].style.color = "inherit";
      if(pcolorbg)
        children[i].style.backgroundColor = colors_bg[level-1];

      if(pbordermode==0)
        children[i].style.borderColor = colors_fg[level-1];
      else
        children[i].style.borderColor = pbordercolor;

      children[i].style.borderWidth = pborderwidth;
      colorblockquotes(children[i],level);
    }
  }

}

function setViewQuotecolor() {

  var content = document.getElementById("messagepane");
  if(!content) return;
  var mailmsg = content.contentDocument;
  getColorsAndPrefs();
  colorblockquotes(mailmsg.getElementsByTagName("div").item(0),0);

}


function getMessageBrowser()
{
  if (!gMessageBrowser)
    gMessageBrowser = document.getElementById("messagepane");

  return gMessageBrowser;
}