function checkFormatflowed()
{
  elmgraphicalq = document.getElementById("graphicalquoting");
  if(elmgraphicalq.checked) return;

  var elmformatflowed = document.getElementById("formatflowed");
  if(elmformatflowed.checked) return;

  var bundleSettings = document.getElementById("bundle_qcsettings");
  
  if( window.confirm(bundleSettings.getString("disableFormatFlowedLabel")) )
  {
    // disable format=flowed
    elmformatflowed.checked=true;
  }
  else
  {
    // user doesn't want to disable format=flowed,
    // so we enable graphical quoting since it won't work otherwise
    elmgraphicalq.checked=true;
  }
}

function doUninstall()
{
  var bundleSettings = document.getElementById("bundle_qcsettings");
  
  if( window.confirm(bundleSettings.getString("confirmUninstall")) )
  {
    var unreg = new exUnregisterer(
                      'chrome://messenger-quotecolors/content/contents.rdf',
		                  'jar:%chromeFolder%quotecolors.jar!/locale/en-US/messenger-quotecolors/contents.rdf'
                    );
    unreg.unregister();
    if( window.confirm(bundleSettings.getString("confirmDeletePrefs")) ) {
      unreg.removePrefs('quotecolors');
    }
    window.close();
  }
  
}


function updatePreview()
{
  var labelid="previewlabel";
  
  var colortext = document.getElementById("colortext").checked;
  var colorbg = document.getElementById("colorbackground").checked;

  for(var i=0; i<MAX_LEVELS; i++)
  {
    if(colortext) 
      fgcolor = colors_fg[i];
    else
      fgcolor = "inherit";

    if(colorbg)
      bgcolor = colors_bg[i];
    else
      bgcolor = "inherit";

    var elmpreview=document.getElementById(labelid + (i+1));
    elmpreview.setAttribute("style", "color:"+fgcolor+";background-color:"+bgcolor);
  }

}


// "lend" from editor, using some ugly modifications. no, it isn't a good solution...

function GetColorAndUpdate(ColorWellID)
{
  var colorWell = document.getElementById(ColorWellID);
  if (!colorWell) return;

  // Don't allow a blank color, i.e., using the "default"
  var colorObj = { NoDefault:true, Type:"", TextColor:0, PageColor:0, Cancel:false };

  switch( ColorWellID )
  {
    case "level1fgCW":
      colorObj.Type = "Text";
      colorObj.TextColor = colors_fg[0];
      break;
    case "level1bgCW":
      colorObj.Type = "Page";
      colorObj.PageColor = colors_bg[0];
      break;
    case "level2fgCW":
      colorObj.Type = "Text";
      colorObj.TextColor = colors_fg[1];
      break;
    case "level2bgCW":
      colorObj.Type = "Page";
      colorObj.PageColor = colors_bg[1];
      break;
    case "level3fgCW":
      colorObj.Type = "Text";
      colorObj.TextColor = colors_fg[2];
      break;
    case "level3bgCW":
      colorObj.Type = "Page";
      colorObj.PageColor = colors_bg[2];
      break;
    case "level4fgCW":
      colorObj.Type = "Text";
      colorObj.TextColor = colors_fg[3];
      break;
    case "level4bgCW":
      colorObj.Type = "Page";
      colorObj.PageColor = colors_bg[3];
      break;
    case "level5fgCW":
      colorObj.Type = "Text";
      colorObj.TextColor = colors_fg[4];
      break;
    case "level5bgCW":
      colorObj.Type = "Page";
      colorObj.PageColor = colors_bg[4];
      break;
  }

  window.openDialog("chrome://editor/content/EdColorPicker.xul", "_blank", "chrome,close,titlebar,modal", "", colorObj);

  // User canceled the dialog
  if (colorObj.Cancel)
    return;

  var color = "";
  switch( ColorWellID )
  {
    case "level1fgCW":
      color = colors_fg[0] = colorObj.TextColor;
      break;
    case "level1bgCW":
      color = colors_bg[0] = colorObj.BackgroundColor;
      break;
    case "level2fgCW":
      color = colors_fg[1] = colorObj.TextColor;
      break;
    case "level2bgCW":
      color = colors_bg[1] = colorObj.BackgroundColor;
      break;
    case "level3fgCW":
      color = colors_fg[2] = colorObj.TextColor;
      break;
    case "level3bgCW":
      color = colors_bg[2] = colorObj.BackgroundColor;
      break;
    case "level4fgCW":
      color = colors_fg[3] = colorObj.TextColor;
      break;
    case "level4bgCW":
      color = colors_bg[3] = colorObj.BackgroundColor;
      break;
    case "level5fgCW":
      color = colors_fg[4] = colorObj.TextColor;
      break;
    case "level5bgCW":
      color = colors_bg[4] = colorObj.BackgroundColor;
      break;
  }

  setColorWell(ColorWellID, color); 
 
  updatePreview();
}


function setColorWell(ColorWellID, color)
{
  var colorWell = document.getElementById(ColorWellID);
  if (colorWell)
  {
    if (color)
    {
      colorWell.setAttribute("style", "background-color:"+color);
    }
  }
}
